/***************************************************************
 * Name:      idwApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Wolfgang Gossel (wolfgang.gossel@geo.uni-halle.de)
 * Created:   2013-09-27
 * Copyright: Wolfgang Gossel (umweltgeologie.geologie.uni-halle.de)
 * License:   GPL
 **************************************************************/

#include "idwApp.h"

//(*AppHeaders
#include "idwMain.h"
#include <wx/image.h>
//*)

IMPLEMENT_APP(idwApp);

bool idwApp::OnInit()
{
    //(*AppInitialize
    bool wxsOK = true;
    wxInitAllImageHandlers();
    if ( wxsOK )
    {
    	idwDialog Dlg(0);
    	SetTopWindow(&Dlg);
    	Dlg.ShowModal();
    	wxsOK = false;
    }
    //*)
    return wxsOK;

}
